/* -------------------------------------------------------------------
Ver. 1.0, 24.01.2010

File created from template "template.pro"

This file defines the problem dependent data structures for the
GERDA detector array on specific HV applied to all outer detector
surfaces.
------------------------------------------------------------------- */

Group {

    Air    = Region[{1}];
    Ground = Region[{2}];
    Charge = Region[{3}];
    Float  = Region[{4}];

    DomainCC_Ele = Region[{Air}];
    SkinDomainC = Region[{Float}];
}

GroundPotential =    0.0;
ChargePotential =  100.0;

Function {
    epsr[Air]  = 1.5;
}

Constraint {
    { Name ElectricScalarPotential; Type Assign;
      Case {
        { Region Ground ; Value GroundPotential; }
        { Region Charge ; Value ChargePotential; }
      }
    }

    { Name GlobalElectricPotential; Type Assign;
      Case {
        //{ Region Float ; Value 0 ; }
      }
    }
    { Name GlobalElectricCharge; Type Assign;
      Case {
        { Region Float ; Value 0; }
      }
    }



}

Include "Jacobian_Lib_f.pro"
Include "Integration_Lib_f.pro"
Include "EleSta_v_f.pro"

PostOperation {
    { Name Val_V_Q; NameOfPostProcessing EleSta_vf ;
        Operation {
            Print [ V, OnRegion SkinDomainC, File "VV.pos" ];
            Print [ Q, OnRegion SkinDomainC, File "Q.pos" ];
            Print [ e, OnElementsOf DomainCC_Ele, File "e.pos" ];
            Print [ v, OnElementsOf DomainCC_Ele, File "v.pos" ];
        }
    }

    { Name Map; NameOfPostProcessing EleSta_v;
        Operation {
            Print [ e, OnElementsOf DomainCC_Ele, File "e.pos" ];
            Print [ v, OnElementsOf DomainCC_Ele, File "v.pos" ];
        }
    }
    { Name Cut; NameOfPostProcessing EleSta_v;
        Operation {
            Print [ e, OnPlane{{0, -200, -250} {0, 200, -250} {0, -200, 250}} {250, 250}, File "e_cut.pos"];
            Print [ v, OnPlane{{0, -200, -250} {0, 200, -250} {0, -200, 250}} {250, 250}, File "v_cut.pos"];
        }
    }
}
